package com.zbf.system.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 用户展示字段定义管理对象 SYS_USER_BUSINESS_COLUMN
 *
 * @author tony
 * @date 2024-06-16
 */
@TableName(resultMap = "com.zbf.system.mapper.SysUserBusinessColumnMapper.SysUserBusinessColumnResult")
public class SysUserBusinessColumn extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "ID",type = IdType.AUTO)
    private Long ID;

    /** 用户账号 */
    @Excel(name = "登录账号")
    private String userName;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private String businessCode;

    /** 数据表序号 */
    @Excel(name = "数据表序号")
    private Long tableNo;

    /** 显示字段 */
    @Excel(name = "显示字段")
    private String columnShow;

    /** 隐藏字段 */
    @Excel(name = "隐藏字段")
    private String columnHide;

    /** 删除标志（0代表存在 2代表删除） */
    @Excel(name = "删除标志", readConverterExp = "0=代表存在,2=代表删除")
    private String delFlag;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后登录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loginDate;



    public void setID(Long ID)
            {
            this.ID = ID;
            }

    public Long getID()
            {
            return ID;
            }
    public void setUserName(String userName)
            {
            this.userName = userName;
            }

    public String getUserName()
            {
            return userName;
            }
    public void setBusinessCode(String businessCode)
            {
            this.businessCode = businessCode;
            }

    public String getBusinessCode()
            {
            return businessCode;
            }
    public void setTableNo(Long tableNo)
            {
            this.tableNo = tableNo;
            }

    public Long getTableNo()
            {
            return tableNo;
            }
    public void setColumnShow(String columnShow)
            {
            this.columnShow = columnShow;
            }

    public String getColumnShow()
            {
            return columnShow;
            }
    public void setColumnHide(String columnHide)
            {
            this.columnHide = columnHide;
            }

    public String getColumnHide()
            {
            return columnHide;
            }
    public void setDelFlag(String delFlag)
            {
            this.delFlag = delFlag;
            }

    public String getDelFlag()
            {
            return delFlag;
            }
    public void setLoginIp(String loginIp)
            {
            this.loginIp = loginIp;
            }

    public String getLoginIp()
            {
            return loginIp;
            }
    public void setLoginDate(Date loginDate)
            {
            this.loginDate = loginDate;
            }

    public Date getLoginDate()
            {
            return loginDate;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("userName", getUserName())
            .append("businessCode", getBusinessCode())
            .append("tableNo", getTableNo())
            .append("columnShow", getColumnShow())
            .append("columnHide", getColumnHide())
            .append("delFlag", getDelFlag())
            .append("loginIp", getLoginIp())
            .append("loginDate", getLoginDate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("REMARK", getRemark())
        .toString();
        }
}


















